]> arthur.barton.de Git - bup.git/blobdiff - cmd/on-cmd.py
Configure python, use it, and embed during install
[bup.git] / cmd / on-cmd.py
index 9d6f683f357c869597bdb45f3ab1d735fb2e1e1b..df0fdb3158faaf6091bf8977dd054764b66313e6 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys, os, struct, getopt, subprocess, signal
 from subprocess import PIPE
 from bup import options, ssh, path